package cn.fateverse.query.mapper;

import cn.fateverse.query.entity.UniCon;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Clay
 * @date 2023-07-22
 */
public interface UniConMapper {

    /**
     * 根据自定义查询查找查询条件
     *
     * @param queryId 自定义查询id
     * @return 查询结果
     */
    List<UniCon> selectByQueryId(Long queryId);

    /**
     * 根据自身id和query id联合查询
     */
    List<UniCon> selectByQueryIdAndUcIdList(@Param("queryId") Long queryId, @Param("list") List<Long> conIdList);

    /**
     * 批量更新
     */
    int batchUpdate(List<UniCon> updateList);

    /**
     * 批量新增
     */
    Integer batchInsert(List<UniCon> list);

    /**
     * 批量删除
     */
    Integer batchDelete(Long queryId);

    /**
     * 批量删除
     */
    int batchRemove(@Param("ids") List<Long> ids);
}
